#!/bin/sh
#
# Copyright (C) 2004-2014 QVidium Technologies, Inc. All rights reserved.

# If booting, wait until rcS script finishes
tries=0
pidof rcS > /dev/null
while [ $? = 0 -a $tries -lt 60 ] ; do
    sleep 1
    tries=`expr $tries + 1`
    pidof rcS > /dev/null
done

PASSWORD=foobar
USER=admin

PROGRAM=/sbin/set_passwd.sh
[ -f /qvidium/set_passwd.sh ] && PROGRAM=/qvidium/set_passwd.sh

$PROGRAM $PASSWORD $USER

echo "New password for $USER is $PASSWORD"
echo "New password for $USER is $PASSWORD" > /dev/console

mv $0 $0.setAdminPasswd.sh
sync
 
